package com.bcxin.ins.service.order;


import com.bcxin.ins.entity.policy_report.InsClaimInformation;
import com.bcxin.ins.vo.report_pac.InsCommonReportVo;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;

public interface InsClaimInformationAPIService extends IService<InsClaimInformation> {

	public void accordingToTheInsCommonReportVoSetUpInsClaimInformation(InsCommonReportVo vo, Long report_id);

	public void getInsCommonReportVoByReportID(InsCommonReportVo vo, Long report_id);

	public boolean delectInsClaimInformationByOid(Long oid);

	public boolean delectAllInsClaimInformation(Long oid);

	/**
	 * 根据报案Id查找附件状态为0的条目变更状态为1
	 * @param report_id 报案id
	 * @return
	 */
	public boolean updateStatusByReportId(Long report_id);
	public boolean updateStatusByIds(List<String> ids);
}
